Qt 5.6 | Qt 3D | C++ Classes | QStencilTest

Qt 5.6.3 Reference Documentation

# QStencilTest Class

(Qt3DRender::QStencilTest)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilTestSeparate * const
- front : Qt3DRender::QStencilTestSeparate * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilTest(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QStencilTest()
QStencilTestSeparate * | back() const
QStencilTestSeparate * | front() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### back : Qt3DRender::QStencilTestSeparate * const

Access functions:

QStencilTestSeparate * | back() const

### front : Qt3DRender::QStencilTestSeparate * const

Access functions:

QStencilTestSeparate * | front() const

## Member Function Documentation

### QStencilTest::QStencilTest(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QStencilTest.

### QStencilTest::~QStencilTest()

Destroys the instance of QStencilTest.

### `[protected]` void QStencilTest::copy(const Qt3DCore::QNode *ref)